1. To upgrade from Ruby 2.3 to 2.6 first you'll need to upgrade your version of ruby. To do this, we will use the Ruby Version Manager you installed when you did your original system install.

    rvm install 2.6.1

    rvm use 2.6.1 --default

  2. We need to upgrade our entire version of RubyGems. To do this we have to run the following command

    gem update --system
  3. Now we need to reinstall some gems we use globally

    gem install bundler
    gem install learn-co
    gem install nokogiri
  4. Finally, we need to install the right version of Rails. To do this, please run:

    gem install rails -v '5.0.7.1'
  5. If everything worked you should be able to check your ruby version and bundler version with the following commands

    ruby -v
    bundle -v

    For ruby you should have Ruby 2.6.1, for bundler you should have at least version 2.0.1

 

Did this answer your question?